# $Revision: 1.7.2.4 $, $Date: 2005/10/03 10:10:21 $
Summary:	Cross SPARC GNU binary utility development utilities - gcc
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - SPARC gcc
Summary(fr):	Utilitaires de dveloppement binaire de GNU - SPARC gcc
Summary(pl):	Skrone narzdzia programistyczne GNU dla SPARC - gcc
Summary(pt_BR):	Utilitrios para desenvolvimento de binrios da GNU - SPARC gcc
Summary(tr):	GNU gelitirme aralar - SPARC gcc
Name:		crosssparc-gcc
Version:	3.3.6
Release:	1
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/gcc-%{version}.tar.bz2
# Source0-md5:	6936616a967da5a0b46f1e7424a06414
BuildRequires:	crosssparc-binutils
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	autoconf
BuildRequires:	/bin/bash
Requires:	crosssparc-binutils
ExcludeArch:	sparc sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		sparc-pld-linux
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_libdir}/gcc-lib/%{target}
%define		gcclib		%{_libdir}/gcc-lib/%{target}/%{version}

%define		_noautostrip	.*%{gcclib}/libgcc\\.a

%description
This package contains a cross-gcc which allows the creation of
binaries to be run on SPARC linux (architecture sparc-linux) on
other machines.

%description -l de
Dieses Paket enthlt einen Cross-gcc, der es erlaubt, auf einem
anderem Rechner Code fr sparc-Linux zu generieren.

%description -l pl
Ten pakiet zawiera skrony gcc pozwalajcy na robienie na innych
maszynach binariw do uruchamiania na SPARC (architektura
"sparc-linux").

%prep
%setup -q -n gcc-%{version}

%build
cp -f /usr/share/automake/config.sub .
rm -rf obj-%{target}
install -d obj-%{target}
cd obj-%{target}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--disable-shared \
	--disable-threads \
	--enable-languages="c" \
	--with-gnu-as \
	--with-gnu-ld \
	--with-system-zlib \
	--with-multilib \
	--with-newlib \
	--without-headers \
	--without-x \
	--target=%{target} \
	--host=%{_target_platform} \
	--build=%{_target_platform}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C obj-%{target} install \
	DESTDIR=$RPM_BUILD_ROOT

# don't want this here
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a

%if 0%{!?debug:1}
%{target}-strip -g $RPM_BUILD_ROOT%{gcclib}/libgcc.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-gcc*
%attr(755,root,root) %{_bindir}/%{target}-gcov
%attr(755,root,root) %{_bindir}/%{target}-cpp
%dir %{gccarch}
%dir %{gcclib}
%attr(755,root,root) %{gcclib}/cc1
%attr(755,root,root) %{gcclib}/collect2
%{gcclib}/crt*.o
%{gcclib}/libgcc.a
%{gcclib}/specs*
%dir %{gcclib}/include
%{gcclib}/include/*.h
%{_mandir}/man1/%{target}-gcc.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crosssparc-gcc.spec,v $
Revision 1.7.2.4  2005/10/03 10:10:21  pluto
- updated to 3.3.6.

Revision 1.7.2.3  2004/10/09 20:24:10  havner
- rel 2

Revision 1.7.2.2  2004/10/09 20:20:03  havner
- config.sub

Revision 1.7.2.1  2004/10/09 20:04:00  havner
- 3.3.5 for AC

Revision 1.7  2004/07/21 09:13:10  qboosh
- explicit --host and --build

Revision 1.6  2004/07/20 15:17:11  qboosh
- up to 3.3.4, cleanup, disable threads - evil patch not needed

Revision 1.5  2004/07/20 12:37:31  qboosh
- desc fixes (not only i386), removed obsolete configure options

Revision 1.4  2004/06/20 13:19:23  qboosh
- use proper libdir

Revision 1.3  2004/05/29 13:24:33  qboosh
- ExcludeArch: sparc (would conflict with native toolchain)

Revision 1.2  2004/05/22 09:32:58  pluto
- stripping@ix86 fixed.
